Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CallbackQueryAnswer

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallbackQueryAnswer

Enclosing class:
  TdApi

public static final class TdApi.CallbackQueryAnswer extends TdApi.Object
Contains a bot's answer to a callback query.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`showAlert`
True, if an alert must be shown to the user instead of a toast notification.
`String`
`text`
Text of the answer.
`String`
`url`
URL to be opened.

## Constructor Summary

Constructors
Constructor
Description
`CallbackQueryAnswer()`
Contains a bot's answer to a callback query.
`CallbackQueryAnswer(DataInput input)`
Contains a bot's answer to a callback query.
`CallbackQueryAnswer(String text, boolean showAlert, String url)`
Contains a bot's answer to a callback query.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public String text
Text of the answer.

### showAlert

public boolean showAlert
True, if an alert must be shown to the user instead of a toast notification.

### url

public String url
URL to be opened.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### CallbackQueryAnswer

public CallbackQueryAnswer()
Contains a bot's answer to a callback query.

### CallbackQueryAnswer

public CallbackQueryAnswer(String text, boolean showAlert, String url)
Contains a bot's answer to a callback query.

Parameters:
  `text` - String Text of the answer.
  `showAlert` - boolean True, if an alert must be shown to the user instead of a toast notification.
  `url` - String URL to be opened.

### CallbackQueryAnswer

public CallbackQueryAnswer(DataInput input) throws IOException
Contains a bot's answer to a callback query.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`